## gnat-gps 5.0

=== gnatlib/Makefile ===
.PHONY: all examples test valgrind clean docs install

include Makefile.conf

ifeq (${BUILDS_SHARED},yes)
all: static relocatable
install: install_relocatable install_static
else
all: static
install: install_static
endif

include Makefile.gnat

## Builds explicitly the shared or the static libraries

static: do_links
	${MAKE} LIBRARY_TYPE=static build_library_type
shared relocatable: do_links
	${MAKE} LIBRARY_TYPE=relocatable build_library_type

## Builds either the static or the shared version, based on the
## LIBRARY_TYPE variable

build_library_type:
	${GPRBUILD} -m -j${PROCESSORS} -XLIBRARY_TYPE=${LIBRARY_TYPE} -Pgnatcoll_build -p
ifeq (${WITH_GTK},yes)
	${MAKE} -C src -f Makefile.gtk buildall
endif
ifneq ($(subst no,,${WITH_SQLITE}${WITH_POSTGRES}),)
	${MAKE} -C src -f Makefile.tools buildall
endif

examples:
	${MAKE} -C examples

## Create links for the gnat sources

ifeq (${WITH_PROJECTS},yes)
do_links:
ifeq ($(OS),Windows_NT)
	-@$(foreach f,$(GNAT_SOURCES_FOR_GNATCOLL), \
	   $(CP) gnat_src/$(f) gnat > /dev/null 2>&1 ;)
else
	-@$(foreach f,$(GNAT_SOURCES_FOR_GNATCOLL), \
	   $(LN_S) ../gnat_src/$(f) gnat > /dev/null 2>&1 ;)
endif
	@(cd gnat && gnatmake -q xsnamest && ./xsnamest && mv snames.ns snames.ads && mv snames.nb snames.adb)

else
do_links:
endif

## Only works after installation, so we should install to a local directory
## first, so as not to break the users's environment, but still test the
## actual installation process.
## However, we do not force a recompilation here for now, so that we can still
## run the tests on the current binaries, even if we are doing some modifs
## that are not yet compilable
test: 
	${MAKE} prefix=${shell pwd}/local_install install >/dev/null
	${MAKE} prefix=${shell pwd}/local_install -C testsuite $@

## GNU standards say we must not recompile in such a case
## Install either the static or the shared lib, based on the value of
## LIBRARY_TYPE
install_library_type:
	${MKDIR} ${bindir}
	${MKDIR} ${libdir}/${TARNAME}/${LIBRARY_TYPE}
	${MKDIR} ${libdir}/gnat/${TARNAME}
	${MKDIR} ${datadir}/examples
	${MKDIR} ${includedir}/${TARNAME}
	${MKDIR} ${datadir}/gps/plug-ins
	${MAKE} -C src -f Makefile.gnatcoll libinstall
	${MAKE} -C src -f Makefile.python libinstall
	${MAKE} -C docs install
ifeq (${WITH_GTK},yes)
	${MAKE} -C src -f Makefile.gtk libinstall
endif
	${MAKE} -C src -f Makefile.postgres libinstall
	${MAKE} -C src -f Makefile.sqlite libinstall
ifneq ($(subst no,,${WITH_SQLITE}${WITH_POSTGRES}),)
	${MAKE} -C src -f Makefile.tools installbin
endif
ifeq (${WITH_GMP},yes)
	${MAKE} -C src -f Makefile.gmp libinstall
endif
	${CP} distrib/gnatcoll_gps.xml ${datadir}/gps/plug-ins
	${CP} distrib/gnatcoll_runtime.xml ${datadir}/gps/plug-ins
	${CP} distrib/*.gpr ${libdir}/gnat

install_static:
	${MAKE} LIBRARY_TYPE=static install_library_type
install_relocatable install_shared:
	${MAKE} LIBRARY_TYPE=relocatable install_library_type

clean:
	-gprclean -r -q -Pgnatcoll_build -XLIBRARY_TYPE=relocatable
	-gprclean -r -q -Pgnatcoll_build -XLIBRARY_TYPE=static
ifeq (${WITH_GTK},yes)
	-gprclean -r -q -Psrc/gnatcoll_gtk -XLIBRARY_TYPE=relocatable
	-gprclean -r -q -Psrc/gnatcoll_gtk -XLIBRARY_TYPE=static
endif
	-${MAKE} -C testsuite $@
	-${MAKE} -C docs $@
	-${MAKE} -C examples $@

docs:
	${MAKE} -C docs

=== gps/Makefile ===
ifeq ($(OS),Windows_NT)
   LN = cp -p
else
   LN = ln -s
endif

GPRBUILD=gprbuild
GPRBUILD_FLAGS=

ifeq ($(Build),Production)
  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Production -XGnatcoll_Build=Production
else
  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Debug -XGnatcoll_Build=Debug
endif

.PHONY: default resources do_links all clean

default: resources do_links all

include ../Makefile.gnat

# NOTE: we need to build gnatcoll separately, since we cannot use
# gnat.adc (No_Tasking restriction) on all gnatcoll sources.
all:
	$(MAKE) -s LIBRARY_TYPE=static ENABLE_SHARED=no \
	  -C ../templates_parser setup
	$(MAKE) -s -C ../gnatlib do_links
	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -p -ws -P../gnatlib/src/gnatcoll
	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -p -ws -XTP_TASKING=No_Tasking \
	  $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps

resources:
ifeq ($(OS),Windows_NT)
	@cd src; windres gps.rc -O coff -o ../obj/gps.res
	$(MAKE) -s -C ../common/expect
endif

do_links:
	-@$(foreach f,$(GNAT_SOURCES), \
	  $(LN) ../gnatlib/gnat_src/$(f) ../gnat > /dev/null 2>&1 ;)

clean:
ifeq ($(OS),Windows_NT)
	$(MAKE) -s -C ../common/expect clean
endif
	-gprclean -q -r -Pgps

=== examples/language/Makefile ===
CC=gcc

all: libgprcustom.so libgpr_custom.so

gnatlib = $(strip $(shell gnatls -v | grep adalib))

libgprcustom.so: gprcustom.o
	$(CC) -shared -fPIC -o $@ $<

libgpr_custom.so: gpr_custom.o
	$(CC) -shared -fPIC -o $@ $< -L$(gnatlib) -lgnat

gprcustom.o: gprcustom.c
	$(CC) -c -fPIC $<

gpr_custom.o: gpr_custom.adb
	$(CC) -c -fPIC $<

clean:
	$(RM) *.o *.so *.ali

=== gnatlib/examples/Makefile ===
include ../Makefile.conf

ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}${DIRSEP}../src
LD_LIBRARY_PATH:=${prefix}/lib:${LD_LIBRARY_PATH}
export ADA_PROJECT_PATH
export LD_LIBRARY_PATH

all:
	@${MKDIR} obj
	gnatmake -Pexamples
ifeq ($(WITH_GTK),yes)
	gprbuild -Pexamplesgtk -p
endif
ifeq ($(WITH_GMP),yes)
	gprbuild -Pgmp/gmp_examples.gpr -p
endif
	@echo "==================================================="
	@echo "== To run, set the environment variable LD_LIBRARY_PATH"
	@echo "==   LD_LIBRARY_PATH=${prefix}/lib/gnat:\$$LD_LIBRARY_PATH"

clean:
	gprclean -q -Pexamples
ifeq ($(WITH_GTK),yes)
	gprclean -q -Pexamplesgtk
endif
ifeq ($(WITH_GMP),yes)
	gprclean -q -Pgmp/gmp_examples.gpr
endif

=== tools/project_converter/Makefile ===
all build compile link:
	$(MAKE) -s -f Makefile.project_converter $@

=== debian/changelog ===
gnat-gps (5.0-7) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/control (Build-Depends), debian/build_gps.gpr:
    drop tcl8.4-dev, libdb-dev; not used anymore.
  * control, rules: let dpkg-dev (>= 1.16) set CFLAGS, DEB_VERSION.
  * switched to dh_linktree helper for linked javascript libraries.
  * copyright: typo.

  [Ludovic Brenta]
  * debian/control (Recommends): s/gdb/gdb-minimal/.  Closes: #659166.
    Thanks to Nicolas Boulenguez for the workaround.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 11 Feb 2012 19:41:04 +0100

gnat-gps (5.0-6) unstable; urgency=low

  * Rebuild against libgtkada 2.24.1.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 15 Jan 2012 15:42:21 +0100

gnat-gps (5.0-5) unstable; urgency=low

  [ Ludovic Brenta ]
  * Fix bug: "Project Editor > Make hangs gnat-gps":
    - debian/patches/project_editor_make.patch: new.
  * Fix bug: "No GNAT switches in the project editor (#596385 reintroduced)":
    - debian/rules: add an empty file
      share/gps/plug-ins/gps_utils/gnat_switches.py to gnat-gps-common.
    - debian/clean: delete it.
    - debian/control (gnat-gps): recommend python-gtk2.0.
  * debian/TODO: make empty as all remaining bugs are fixed.
  * Fix Lintian errors and warnings:
    - debian/control (gnat-gps): depend on gnat-gps-common (= ${source:Version})
      instead of ${binary:Version}.

  [ Nicolas Boulenguez ]
  * debian/rules: link gnat-gps and -dbg documentation directory to
    -common, but not -doc, avoiding a circular dependency.  Closes: #655383.
  * debian/control: s/Conflicts/Breaks/ for package split (policy 7.6.1).
  * debian/control (Depends), debian/gnat-gps-common.links: use system-wide
    javascript library instead of upstream copy, if available.
  * gnat-gps-doc.lintian-overrides (modified),
    gnat-gps.lintian-overrides -> gnat-gps-common.lintian-overrides:
      adapted to source package split.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Wed, 11 Jan 2012 02:00:46 +0100

gnat-gps (5.0-4) unstable; urgency=low

  * debian/patches/libgtkada2-2.24.0-dev-part2.patch: rewrite completely;
    keep using the Gtk.Combo.
  * debian/patches/file_selector.patch: delete.
  * debian/patches/bug-653470.patch: remove all calls to Glib.Convert.
    Locale_To_UTF8 in all source files.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  3 Jan 2012 18:20:30 +0100

gnat-gps (5.0-3) unstable; urgency=low

  * debian/control (gnat-gps-common): Conflict with and Replace gnat-gps (< 5.0).
    Closes: #653425.
    (Build-Depends): remove libgmp-dev, not actually used.
  * debian/rules (DIRS_WITH_C_SOURCES): remove gnatlib/src/gmp, not
    actually used.
  * debian/build_gps.gpr: work around compiler bug #642981 on armel by
    disabling inlining in select source files.
  * debian/patches/bug-653470.patch: new.  Closes: #653470.
  * debian/gnat-gps-common.install: install the docgen2 files in /usr/share/gps.
  * debian/patches/file_selector.patch: new; allow the file selector to
    open itself.  There is still a bug though, see below.
  * debian/TODO: new.  Document known bugs to be solved before the package
    is fit for release.  Help is welcome as usual, see #496905.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  2 Jan 2012 12:33:10 +0100

gnat-gps (5.0-2) unstable; urgency=low

  * debian/control (Build-Depends): add libgmp-dev.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 28 Dec 2011 01:40:34 +0100

gnat-gps (5.0-1) unstable; urgency=low

  [Nicolas Boulenguez]
  * New upstream version from upstream's Subversion repository, revision 165249
    (date: 2010-10-01T15:03:16).
  * Build with gnat-4.6.  Closes: #642618.
  * Upgraded to debhelper 8 and Standards-Version 3.9.2.
  * control: reformatted descriptions to please lintian
  * rules: allowed transmission of new targets to dh
  * rules, patches: link against system libdb instead of embedded db source

  [Ludovic Brenta]
  * debian/patches/command-names.patch,
    debian/patches/gcc-4.4.patch,
    debian/patches/libgtkada2-2.14.2.patch,
    debian/patches/no-tcl.patch,
    debian/patches/use_system_libdb.patch,
    debian/patches/no-gtkextra.patch,
    debian/patches/fix-config-guess.patch,
    debian/patches/escape_embedded_xml_in_ada_support_py.patch: delete, no longer needed.
  * debian/patches/documentation-path.patch,
    debian/patches/texinfo.patch,
    debian/patches/elaboration.patch,
    debian/patches/documentation-formats.patch
    debian/patches/bashisms.patch: refresh.
  * debian/patches/libgtkada2.24.0-part[123].patch: new.
  * debian/control: gnat-gps-doc now recommends ada-reference-manual-html and
    gprbuild-doc, both referenced in the Documentation menu of GPS.
    (gnat-gps-common): new package for architecture:all files.
  * debian/rules: do not build Source Navigator, which is no longer bundled.
  * debian/build_gps.gpr: adjust to new source directories.
  * debian/gnat-gps.install: do not install auxiliary executables built from
    Source Navigator sources which are no longer bundled.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 27 Dec 2011 11:56:14 +0100

gnat-gps (4.3-6) unstable; urgency=low

  * control (Vcs-Mtn) corrected URL
    (Architectures) any like all ada packages.
    see http://lists.debian.org/debian-ada/2010/02/msg00002.html
    (Standards-Version) 3.9.1.0 without changes.
  * Patch allowing many jobs for pdf doc generation. Closes: #599489.
  * Install aunit templates. Closes: #599487.
  * Patch escape embedded XML in ada_support.py. Closes: #596385.
    All patches from Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>.
  * source/[local-]options to tell dpkg-source to ignore VCS information.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 30 Jan 2011 01:15:33 +0100

=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1),
 gnat, gnat-4.6, libgnatprj4.6-dev, libxmlada4.1-dev,
 python-dev,
 dh-linktree,
 libtemplates-parser11.6-dev (>= 11.5-2),
 libgtkada2.24.1-dev, libgtk2.0-dev
Build-Depends-Indep: texinfo,  imagemagick,
 libjs-prototype (>= 1.6.1), libjs-scriptaculous (>= 1.5.1),
 texlive-fonts-recommended, texlive-latex-base, texlive-generic-recommended
Standards-Version: 3.9.2
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
Homepage: http://libre.adacore.com/libre/tools/gps

Package: gnat-gps
Architecture: any
Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: gnat (>= 4.6), gdb-minimal (>= 6.8), python-gtk2,
 gnat-gps-doc (= ${source:Version})
Description: integrated development environment for C and Ada
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.

Package: gnat-gps-dbg
Architecture: any
Priority: extra
Section: debug
Depends: gnat-gps (= ${binary:Version}), ${misc:Depends}
Description: integrated development environment for C and Ada (debugging symbols)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the detached debugging symbols for debugging GPS.

Package: gnat-gps-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ada-reference-manual-html, gprbuild-doc
Section: doc
Description: integrated development environment for C and Ada (documentation)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the documentation in ASCII, Info, HTML and
 PostScript formats. This documentation consists of:
 .
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules

Package: gnat-gps-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnat-gps (<< 5.0)
Replaces: gnat-gps (<< 5.0)
Description: integrated development environment for C and Ada (common files)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains images, templates and plug-ins required at run time
 by GPS.

=== debian/rules ===
#!/usr/bin/make -f

##############
# Legal stuff
##############

# Copyright (c) 2003, 2004, 2005, 2006, 2011 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2010, 2011 Nicolas Boulenguez <nicolas.boulenguez@free.fr>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

########################
# Guess some variables.
########################

.NOTPARALLEL:
# since gnatmake will do the job(s)
CPUS := $(shell getconf _NPROCESSORS_ONLN)

include /usr/share/dpkg/default.mk
# Set CFLAGS (handling noopt from DEB_BUILD_OPTIONS), LDFLAGS,
# DEB_HOST_GNU_TYPE, DEB_HOST_ARCH, DEB_VERSION...

LDFLAGS += -Wl,--as-needed
# Fewer dependencies, more portability.
export LDFLAGS

GTKCFLAGS := $(shell pkg-config --cflags-only-I gtk+-2.0)
GTK_LARGS := $(shell pkg-config --libs gtk+-2.0 cairo-xlib-xrender)
DEFAULT_PYTHON := $(shell pyversions -d)
PYTHONCFLAGS := -I/usr/include/$(DEFAULT_PYTHON)

######################
# debhelper overrides
######################

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: # do nothing
build-arch: gnat-gps
build-indep: docs
binary: binary-arch binary-indep
binary-arch: build-arch
binary-indep: build-indep
	touch share/plug-ins/gps_utils/gnat_switches.py
	dh $@ --with linktree
%:
	dh $@ --with linktree

# Do not try to call an upstream configure or Makefile.
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:

GENERATED_FILES := common/src/config.ads

# gnatmake knows if the file needs recompilation.
.PHONY: gnat-gps
gnat-gps: $(GENERATED_FILES) obj/libgps.a
	gnatmake -j$(CPUS) -Pdebian/build_gps.gpr -XOPT_CFLAG=$(OPT_CFLAG) -XDEFAULT_PYTHON=$(DEFAULT_PYTHON) -largs $(GTK_LARGS)

common/src/config.ads: common/src/config.ads.in
	sed -e 's/@GPS_VERSION@/$(DEB_VERSION)/' \
	    -e 's/@TARGET@/$(DEB_HOST_GNU_TYPE))/' \
	    -e 's!@prefix@!/usr!' \
	    -e 's/@HOST_TYPE@/Unix/' \
	    -e 's/@STRIP_CR@/False/' \
	    -e 's/@CAN_OUTPUT@/True/' \
	    -e 's/@EXEC_COMMAND@/sh -c/' \
	    -e 's/@DEFAULT_FONT@/Sans 9/' \
	    -e 's/@DEFAULT_PS@/ps/' \
	    -e 's/@PRINT_CMD@/lpr/' \
	    -e 's/@OPAQUE_MDI@/True/' \
	    -e 's/@DIFF_CMD@/diff -u/' \
	    -e 's/@EXECUTION_WINDOW@/True/' \
	    -e "s/unknown date/Debian/" < $< > $@

# Now we compile the other C language source files, and put them all
# together in one library, libgps.a.

DIRS_WITH_C_SOURCES := \
 common/src \
 common/tty \
 examples/demo/matrix_handling \
 examples/language \
 gbuilder/pixmaps \
 gbuilder/src \
 gnatlib/src \
 gnatlib/src/gtk/python \
 gnatlib/src/postgres/with_postgres \
 gnatlib/src/python \
 gvd/pixmaps \
 prj_editor/src \
 vcs/pixmaps \
 vdiff/src \
 widgets/src
C_SOURCES := $(wildcard $(foreach dir,$(DIRS_WITH_C_SOURCES),$(dir)/*.c))
C_OBJECTS := $(patsubst %.c,%.o,$(C_SOURCES))

obj/libgps.a: $(C_OBJECTS)
	ar rcf $@ $^
	ranlib $@

# The individual objects in libgps.a.

# Default rule, sufficient for most C files. We repeat it here so that it
# is not erased when we add prerequisites to some specific sources.
%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c -o $@ $<
gbuilder/src/utils.o: CFLAGS += $(GTKCFLAGS)
common/gnat/gexpect_tty.o: CFLAGS += '-DSYSTEM_INCLUDE="system/gnu-linux.h"'
gnatlib/src/python/python_support.o: CFLAGS += $(GTKCFLAGS) $(PYTHONCFLAGS)
gnatlib/src/gtk/python/python_support_gtk.o: CFLAGS += $(GTKCFLAGS) $(PYTHONCFLAGS)
widgets/src/%.o: CFLAGS += $(GTKCFLAGS)

manuals := gps gps_pg tutorial

.PHONY: docs
docs: docs/Makefile $(foreach m,$(manuals),docs/$(m).info)
	$(MAKE) -C docs

docs/Makefile: docs/Makefile.in
	sed -e 's,@prefix@,/usr,' -e 's,@MAKEINFO@,makeinfo,' \
	    -e 's,@TEXI2DVI@,texi2dvi,' -e 's,@INSTALL@,install,' \
	    -e 's,@INSTALL_DATA@,install -m 644,' < $< > $@

docs/%.info: docs/%.texi
	makeinfo --no-split -o $@ $<

override_dh_auto_clean:
	for dir in docs; do \
	   if test -f $$dir/Makefile; then \
              $(MAKE) -C $$dir distclean; \
           fi; \
        done
	dh_clean $(C_OBJECTS)

override_dh_installdocs:
	dh_installdocs --package=gnat-gps-doc
	dh_installdocs --remaining-packages --link-doc=gnat-gps-common

override_dh_compress:
	dh_compress --all -X.xml -X.ads -X.adb -X.c -X.py

override_dh_strip:
	dh_strip --package=gnat-gps --dbg-package=gnat-gps-dbg
	dh_strip --remaining-packages

## gnat-gps 5.3

=== gnatlib/examples/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+all:
 include ../Makefile.conf
 
 ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}${DIRSEP}../src
@@ -19,10 +20,10 @@
 	@echo "==   LD_LIBRARY_PATH=${prefix}/lib/gnat:\$$LD_LIBRARY_PATH"
 
 clean:
-	gprclean -q -Pexamples
+	-gprclean -q -Pexamples
 ifeq ($(WITH_GTK),yes)
-	gprclean -q -Pexamplesgtk
+	-gprclean -q -Pexamplesgtk
 endif
 ifeq ($(WITH_GMP),yes)
-	gprclean -q -Pgmp/gmp_examples.gpr
+	-gprclean -q -Pgmp/gmp_examples.gpr
 endif

=== debian/changelog ===
gnat-gps (5.3-4ubuntu1) utopic; urgency=medium

  * gnat-gps: Recommend gdb | gdb-minimal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Oct 2014 15:45:19 +0200

gnat-gps (5.3-4) unstable; urgency=medium

  * Built against packaged gnatcoll instead of embedded copy.
    Move /usr/bin/gnatinspect from gnat-gps to libgnatcool-sqlite-bin.
  * Remove unused sources from build_gps.gpr and debian/rules.
  * Replace get-orig-source target with detailed instructions in
    README.source. Give script used to merge_upstream_into_dfsg.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Sep 2014 00:20:03 +0200

gnat-gps (5.3-3) unstable; urgency=medium

  * Build with xmlada5-dev, templates-parser-11.8.2015-dev. Closes: #757620.
  * Let -doc Recommend current version of the ada-reference-manual.
  * Use dh_sphinxdoc and dh_linktrees to avoid embedding javascript libraries.
  * Uploaders: update Xavier's email.
  * Manual page for gnatinspect.
  * Standards-Version: 3.9.5 (no changes).
  * -doc: lintian override for false positive (extra-license-file).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 19 Aug 2014 07:13:26 +0200

gnat-gps (5.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-latex-extra. Closes: #755311.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 00:38:40 +0200

gnat-gps (5.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-latex-recommended. Closes: #755311.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 00:38:40 +0200

gnat-gps (5.3-2) unstable; urgency=low

  * debian/gnat-gps-doc.install: install images in only one place.
  * debian/gnat-gps-doc.doc-base.*: adjust to upstream changes i.e. no
    text format anymore.  Closes: #754069.
  * debian/build_gps.gpr: do not work around compiler bug #642981 which
    has been fixed since gnat-4.8.
  * debian/build_gnatinspect.gpr, debian/rules: build gnatinspect too.
  * debian/gnat-gps.install: install it.  Closes: #754320.
  * debian/control (Build-Depends): add libreadline-dev, needed by
    gnatinspect.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 10 Jul 2014 20:19:26 +0200

gnat-gps (5.3-1) unstable; urgency=medium

  [Nicolas Boulenguez]
  * New upstream snapshot (Subversion revision 212731 of 2013-07-10),
    chosen because it precedes the switch to GtkAda 3.x;
    built with gnat 4.9, xmlada 4.4.0puregpl, templates-parser
    11.8.2014. gtkada 2.24.4.  License update GPL-2+ -> GPL-3+.
  
  [Ludovic Brenta]
  * Refresh patches.
  * debian/rules (.../config.ads.in): adjust to new upstream release.
    (DIRS_WITH_C_SOURCES): ditto.
    (override_dh_auto_build-indep): Do not build Info manuals anymore;
    they have been abandoned upstream.
  * debian/build_gps.gpr: s/gtkada2/gtkada/ and adjust directories.
  * debian/patches/gnat-4.9.patch: new.
  * debian/control (Build-Depends): add libsqlite3-dev.
    (Build-Depends-Indep): add python-sphinx (to generate the doc) and
    graphviz (to generate graphs in the doc).
  * debian/gnat-gps-{common,doc}.install: adjust to upstream changes.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  7 Jul 2014 00:18:29 +0200

gnat-gps (5.0-16) unstable; urgency=low

  * rules: simplified using debhelper 9.
    Link C objects directly, without intermediate static archive.
    Add missing substitutions in config.ads.
  * patches: refreshed without timestamps.
  * copyright, patches/texinfo: GPL-2+ instead of GNU GFDL. Closes: #708932.
  * lintian-overrides: a patch removing a non DFSG license must contain it
  * install all documentation in a single /usr/share/doc/gnat-gps directory.
  * Revert to parallel build. Timeout is more frequent than RAM exhaustion.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Jul 2013 00:55:58 +0200

gnat-gps (5.0-15) unstable; urgency=low

  * rules: add -lutil to link options, avoiding a FTBFS on kfreebsd-*.
    Default to parallel=1 to avoid exhausting the RAM on limited buildds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 15 Jul 2013 23:20:21 +0200

gnat-gps (5.0-14) unstable; urgency=low

  * patches/documentation-formats: fix incompatibilities with texinfo 5.
    Ignore docs/texiplus.tex. Closes: #712323.
  * Move debian/TODO,known-problems,features from gnat-gps to -doc package.
  * control (DM-Upload-Allowed): removed obsolete field.
    (Build-Depends): pkg-config. Closes: #685071.
    (Standards-Version): 3.9.4 (no change needed)
  * menu -> gnat-gps.menu: for clarity.
  * README.source, build_gps.gpr, copyright, rules: copyright update.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jul 2013 22:08:20 +0200

gnat-gps (5.0-13) unstable; urgency=low

  * Avoid symlinking documentation directories (Closes: #684194).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 16 Aug 2012 12:40:48 +0200

gnat-gps (5.0-12) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/patches/gprconfig.patch: new.  Properly handle the exception
    signalling that gprconfig is absent from the $PATH.  Closes: #682229.

  [Ludovic Brenta]
  * debian/control: Suggest gprconfig.

  [Svante Signell]
  * debian/patches/hurd-i386.patch: new. Add support for hurd-i386.
    Closes: #682001.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 20 Jul 2012 23:33:46 +0200

gnat-gps (5.0-11) unstable; urgency=low

  * control: -doc Recommends ada-reference-manual-2005 instead of obsolete
    package name (Closes: #677279)
  * rules, build.gpr: better flag transmission (LDFLAGS was ignored).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 14 Jun 2012 00:44:35 +0200

gnat-gps (5.0-10) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/copyright: updated Format and packaging years.
  * debian/source.lintian-overrides: removed obsolete ones.
  * Updated doc directories according to package split.

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): yes.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 May 2012 14:39:42 +0200



=== debian/control ===
--- 
+++ 
@@ -2,27 +2,41 @@
 Section: devel
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
- Nicolas Boulenguez <nicolas.boulenguez@free.fr>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1),
- gnat, gnat-4.6, libgnatprj4.6-dev, libxmlada4.1-dev,
- python-dev,
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
+ Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
+ gnat-4.9, libgnatprj4.9-dev,
+ libxmlada5-dev,
+# dh_sphinxdoc
+ sphinx-common,
+# other js libraries
  dh-linktree,
- libtemplates-parser11.6-dev (>= 11.5-2),
- libgtkada2.24.1-dev, libgtk2.0-dev
+ libtemplates-parser11.8.2015-dev,
+ pkg-config,
+ libgtkada2.24.4-dev, libgtk2.0-dev,
+ libgnatcoll1.6-dev,
+ libgnatcoll-gtk1.6-dev,
+ libgnatcoll-sqlite1.6-dev,
 Build-Depends-Indep: texinfo,  imagemagick,
- libjs-prototype (>= 1.6.1), libjs-scriptaculous (>= 1.5.1),
- texlive-fonts-recommended, texlive-latex-base, texlive-generic-recommended
-Standards-Version: 3.9.2
+ libjs-prototype (>= 1.6.1),
+ libjs-scriptaculous (>= 1.5.1),
+ texlive-fonts-recommended,
+ texlive-generic-recommended,
+ texlive-latex-extra, texlive-latex-recommended,
+ python-sphinx, graphviz
+Standards-Version: 3.9.5
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
 Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
 Homepage: http://libre.adacore.com/libre/tools/gps
 
 Package: gnat-gps
 Architecture: any
-Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: gnat (>= 4.6), gdb-minimal (>= 6.8), python-gtk2,
+Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
+# libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
+ libgnatcoll-sqlite-bin
+Recommends: gnat (>= 4.9), gdb | gdb-minimal (>= 6.8), python-gtk2,
  gnat-gps-doc (= ${source:Version})
+Suggests: gprbuild
 Description: integrated development environment for C and Ada
  GNAT Programming Studio is a complete integrated development environment
  that gives access to a wide range of tools and integrates them smoothly.
@@ -60,8 +74,8 @@
 
 Package: gnat-gps-doc
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: ada-reference-manual-html, gprbuild-doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Recommends: ada-reference-manual-2012, gprbuild-doc
 Section: doc
 Description: integrated development environment for C and Ada (documentation)
  GNAT Programming Studio is a complete integrated development environment
